Appender::TestFileCreeper(3)

NAME
Log::Log4perl::Appender::TestFileCreeper - Intentionally slow test appender

SYNOPSIS
    use Log::Log4perl::Appender::TestFileCreeper;

    my $app = Log::Log4perl::Appender::TestFileCreeper->new(
      filename  => 'file.log',
      mode      => 'append',
    );

    $file->log(message => "Log me\n");

DESCRIPTION
This is a test appender, and it is intentionally slow. It writes out one byte at a time to provoke sync errors. Don't use it, unless for testing.

AUTHOR
Mike Schilli <log4perl@perlmeister.com>, 2003